Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 24 Dec 2020 04:12:00 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I’m extremely disappointed with the returns and refund  service from City Max. I had returned my order on the 10th of November and it is the 22nd of December today, I still have not received my refund. I have been calling the customer service since 4-5 weeks only to be told to wait a few more days. I highly doubt I will be shopping again from City Max considering my experience with the refund services. 

iOS Version: 14.0.1
App Version: 9.2.7 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1907349